CVE-2017-12287 – Cisco Expressway and TelePresence DOS Vulnerability

A vulnerability in the cluster database (CDB) management component of Cisco Expressway Series Software, Cisco TelePresence Video Communication Server (VCS) Software, and Cisco TelePresence Conductor Software could allow an authenticated, remote attacker to cause the CDB process on an affected system to restart unexpectedly, resulting in a temporary denial of service (DoS) condition.

The vulnerability is due to incomplete input validation of URL requests by the REST API of the affected software. An attacker could exploit this vulnerability by sending a crafted URL to the REST API of the affected software on an affected system. A successful exploit could allow the attacker to cause the CDB process on the affected system to restart unexpectedly, resulting in a temporary DoS condition.

There are no workarounds that address this vulnerability.

Indicators of Compromise
Exploitation of this vulnerability will cause the CDB process to restart. When the process restarts, the following system alarm will be generated:

An unexpected software error was detected in ClusterDB: unknown reason

Contact the Cisco Technical Assistance Center (TAC) to determine whether the system has been compromised by exploitation of this vulnerability.

Affected Products

This vulnerability affects Cisco Expressway Series Software, Cisco TelePresence Video Communication Server (VCS) Software, and Cisco TelePresence Conductor Software.

For information about affected software releases, consult the Cisco bug ID(s) at the top of this advisory.




Duncan Newell

Duncan is a technology professional with over 20 years experience of working in various IT roles. He has a interest in cyber security, and has a wide range of other skills in radio, electronics and telecommunications.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

%d bloggers like this: